<xml> </xml>

db4o |

# ObjectConstructor.onInstantiate Method

db4o calls this method when a stored object needs to be instantiated.

object onInstantiate(
ObjectContainer container,
object storedObject
);

#### Parameters

container
  the ObjectContainer used
storedObject
  the object stored with onStore .

#### Return Value

the instantiated object.

#### Remarks

db4o calls this method when a stored object needs to be instantiated.

#### See Also

ObjectConstructor Interface | com.db4o.config Namespace